GNU Radio C++ API Reference: rpcserver_booter_base Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
rpcserver_booter_base Class Referenceabstract

`#include <gnuradio/rpcserver_booter_base.h>`

## Public Member Functions
| rpcserver_booter_base ()
virtual | ~rpcserver_booter_base ()
virtual rpcserver_base * | i ()=0
virtual const std::vector< std::string > | endpoints ()=0
virtual const std::string & | type ()=0

## Constructor & Destructor Documentation

## ◆ rpcserver_booter_base()

rpcserver_booter_base::rpcserver_booter_base | ( |  | ) |
| inline

## ◆ ~rpcserver_booter_base()

virtual rpcserver_booter_base::~rpcserver_booter_base | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ endpoints()

virtual const std::vector< std::string > rpcserver_booter_base::endpoints | ( |  | ) |
| pure virtual

Implemented in rpcserver_booter_aggregator, and rpcserver_booter_thrift.

## ◆ i()

virtual rpcserver_base * rpcserver_booter_base::i | ( |  | ) |
| pure virtual

Implemented in rpcserver_booter_aggregator, and rpcserver_booter_thrift.

Referenced by rpcbasic_register_get< T, Tfrom >::rpcbasic_register_get(), rpcbasic_register_get< T, Tfrom >::rpcbasic_register_get(), rpcbasic_register_get< T, Tfrom >::rpcbasic_register_get(), rpcbasic_register_get< T, Tfrom >::rpcbasic_register_get(), rpcbasic_register_handler< T >::rpcbasic_register_handler(), rpcbasic_register_set< T, Tto >::rpcbasic_register_set(), rpcbasic_register_set< T, Tto >::rpcbasic_register_set(), rpcbasic_register_trigger< T >::rpcbasic_register_trigger(), rpcbasic_register_trigger< T >::rpcbasic_register_trigger(), rpcbasic_register_get< T, Tfrom >::~rpcbasic_register_get(), rpcbasic_register_handler< T >::~rpcbasic_register_handler(), rpcbasic_register_set< T, Tto >::~rpcbasic_register_set(), and rpcbasic_register_trigger< T >::~rpcbasic_register_trigger().

## ◆ type()

virtual const std::string & rpcserver_booter_base::type | ( |  | ) |
| pure virtual

Implemented in rpcserver_booter_aggregator, and rpcserver_booter_thrift.

The documentation for this class was generated from the following file:

- rpcserver_booter_base.h